# QCA::SecureMessageSystem Class Reference
[QCA user API]

Abstract superclass for secure messaging systems. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::SecureMessageSystem:

Collaboration diagram for QCA::SecureMessageSystem:

[legend]

List of all members.

## Protected Member Functions

| SecureMessageSystem (QObject *parent, const QString &type, const QString &provider)

## Detailed Description

Abstract superclass for secure messaging systems.

See also:
  SecureMessage

  SecureMessageKey

## Constructor & Destructor Documentation

QCA::SecureMessageSystem::SecureMessageSystem | ( | QObject * | parent,
|  | const QString & | type,
|  | const QString & | provider |
| ) |  |  | `[protected]`

Protected constructor for SecureMessageSystem classes.

You are meant to be using a subclass (such as OpenPGP or CMS) - you only need to worry about this class if you are creating a whole new SecureMessageSystem type.

Parameters:

  | parent | the parent object for this object
  | type | the name of the Type of SecureMessageSystem to create
  | provider | the provider to use, if a specific provider is required.

The documentation for this class was generated from the following file:

- qca_securemessage.h